# class AsnMib | Class describing an ASN. More...
Full name | `TelEngine::AsnMib`
Definition | `#include <libs/yasn/yateasn.h>`
Inherits | TelEngine::GenObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Access { notAccessible = 0, accessibleForNotify = 1, readOnly = 2, readWrite = 3, readCreate = 4 }

#### Public Methods

- inline AsnMib ()
- AsnMib (NamedList& params)
- inline ~AsnMib ()
- inline String& getAccess ()
- inline int getAccessValue ()
- inline String& getName ()
- inline String getOID ()
- inline String& getType ()
- inline String& getRevision ()
- inline const String& toString () const
- inline void setIndex (unsigned int ind)
- inline unsigned int index ()
- int compareTo (AsnMib* mib)
- inline String getParent ()

## Detailed Description

Class describing an ASN.1 OID

enum Access { notAccessible = 0, accessibleForNotify = 1, readOnly = 2, readWrite = 3, readCreate = 4 } | ### Access

Access levels

inline AsnMib () | ### AsnMib

Constructor

AsnMib (NamedList& params) | ### AsnMib

Constructor

Parameters:

params | NamedList containing data for building this object, it should contain name, access level, value type

inline ~AsnMib () | ### ~AsnMib

Destructor

inline String& getAccess () | ### getAccess

Get OID access level in string form

Returns: String containing the access level for this OID. It's one of the following values : not-accessible, read-only, read-write, read-create, accessible-for-notify.

inline int getAccessValue () | ### getAccessValue

Get OID access level

Returns: String containing the access level for this OID. It's one of the following values : not-accessible, read-only, read-write, read-create, accessible-for-notify.

inline String& getName () | ### getName

Get the name of this OID

Returns: Name of the OID

inline String getOID () | ### getOID

Get the oid

Returns: The OID

inline String& getType () | ### getType

Get the type of the value of this OID

Returns: String containing the type of value

inline String& getRevision () | ### getRevision

Get the revision of this OID

Returns: String containing the revision string

inline const String& toString () | ### toString

[const]

Get the string representation of this OID

Returns: String representation of this OID

Reimplemented from GenObject.

inline void setIndex (unsigned int ind) | ### setIndex

Set the index of an OID in case this OID is part of a table.

Parameters:

ind | Given index

inline unsigned int index () | ### index

Obtain the index of this OID

Returns: This OID's index in the OID table

int compareTo (AsnMib* mib) | ### compareTo

Compare this object ID with another

Parameters:

mib | The object ID with which this object should be compared

Returns: 0 if they're equal, -1 if this object is less lexicographically then the given parameter, 1 if it's greater

inline String getParent () | ### getParent

Get the parent object ID of this object

Returns: String version of the parent ID

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.